Skip to main content
POST
/
organizations
/
list
Create Orgs Bulk
curl --request POST \
  --url https://dev.intermezzo.ai/organizations/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "legalName": "<string>",
    "bankAccounts": [
      {
        "financialInstitutionName": "<string>",
        "accountNumber": "DE: DE89370400440532013000",
        "routingNumber": "DE: 370400440",
        "iban": "DE: DE89370400440532013000",
        "swiftCode": "DE: COBADEFFXXX",
        "isActive": true,
        "isPrimary": false
      }
    ],
    "preferences": {
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "isInsolvent": false,
      "insolvencyStartDate": "2023-12-25",
      "insolvencyEndDate": "2023-12-25",
      "insolvencyCompanyNumber": "<string>",
      "insuranceSubsidyMethod": "remuneration",
      "extraPaidLeaveDays": 123,
      "firstPayrollDate": "2023-12-25",
      "lastPayrollDate": "2023-12-25",
      "firstPayrollIntermezzo": "2023-12-25",
      "preferencesCountry": "DE",
      "insuranceCreditPreference": "<string>",
      "daysForSicknessCertificate": 4,
      "additionalChildcareSickDaysReason": 0
    },
    "validateLegalNameAgainstBlacklist": true,
    "registrationCountry": "DE",
    "address": {
      "address": "<string>",
      "content": {
        "countryCode": "DE",
        "addressType": "HAUSANSCHRIFT"
      }
    },
    "correspondenceAddress": {
      "address": "<string>",
      "content": {
        "countryCode": "DE",
        "addressType": "HAUSANSCHRIFT"
      }
    },
    "dbaName": "<string>",
    "incorporationDate": "2023-12-25",
    "website": "<string>",
    "externalRef": "<string>",
    "validFrom": "2023-12-25",
    "validTo": "2023-12-25",
    "workSites": [
      {
        "name": "<string>",
        "address": {
          "address": "<string>",
          "content": {
            "countryCode": "DE",
            "addressType": "HAUSANSCHRIFT"
          }
        },
        "isActive": true,
        "isPrimary": true,
        "correspondenceAddress": {
          "address": "<string>",
          "content": {
            "countryCode": "DE",
            "addressType": "HAUSANSCHRIFT"
          }
        },
        "validFrom": "2023-12-25",
        "validTo": "2023-12-25",
        "contacts": [
          {
            "name": "<string>",
            "email": "jsmith@example.com",
            "phone": {
              "phoneNumber": "<string>",
              "phoneType": "mobile"
            },
            "roles": []
          }
        ],
        "taxIdentifiers": {
          "validFrom": "2023-12-25",
          "validTo": "2023-12-25",
          "taxData": {
            "country": "<string>",
            "validFrom": "2023-12-25",
            "validTo": "2023-12-25",
            "taxNumber": "<string>",
            "businessType": 170,
            "isEmployeeFlatTax": false,
            "isEmployeeMiniJobFlatTax": false,
            "taxFilingFrequency": "monthly"
          }
        },
        "insuranceData": {
          "validFrom": "2023-12-25",
          "validTo": "2023-12-25",
          "insuranceCountry": "DE",
          "worksiteLocationNumber": "98797889",
          "accidentInsuranceCompanyNumber": "98797889",
          "accidentInsurancePin": "DE-WS-PIN-456",
          "payrollServiceProviderNumber": "98797889",
          "payrollProcessingLocationNumber": "98797889"
        }
      }
    ],
    "contacts": [
      {
        "name": "<string>",
        "email": "jsmith@example.com",
        "phone": {
          "phoneNumber": "<string>",
          "phoneType": "mobile"
        },
        "roles": []
      }
    ],
    "sepaMandates": [
      {
        "creditorId": "<string>",
        "bankAccountId": "<string>",
        "validFrom": "2023-12-25",
        "validTo": "2023-12-25",
        "mandateReference": "<string>",
        "isRecurring": true
      }
    ],
    "insuranceData": {
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "insuranceCountry": "DE",
      "companyNumber": "98797889",
      "unrs": "DE987654321",
      "accidentInsuranceCompanyNumber": "98797889",
      "accidentInsurancePin": "12345",
      "payrollServiceProviderNumber": "98797889",
      "payrollProcessingLocationNumber": "98797889",
      "economicSector": 1,
      "u1Selected": false,
      "u2Selected": false,
      "u3Selected": false,
      "agencyId": "<string>",
      "alternateAgencyId": "<string>",
      "contactId": "<string>"
    },
    "taxIdentifiers": {
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "taxData": {
        "country": "<string>",
        "validFrom": "2023-12-25",
        "validTo": "2023-12-25",
        "taxNumber": "<string>",
        "businessType": 170,
        "isEmployeeFlatTax": false,
        "isEmployeeMiniJobFlatTax": false,
        "taxFilingFrequency": "monthly"
      }
    }
  }
]
'
{
  "total": 123,
  "succeeded": 123,
  "failed": 123,
  "unprocessed": 123,
  "data": [
    {
      "registrationCountry": "DE",
      "legalName": "<string>",
      "address": {
        "id": "<string>",
        "address": "<string>",
        "components": {
          "formatted_address": "<string>",
          "street_number": "<string>",
          "road": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "postal_code": "<string>",
          "postal_code_suffix": "<string>",
          "latitude": 123,
          "longitude": 123
        },
        "content": {
          "normalizedAddress": "<string>",
          "countryCode": "DE",
          "addressType": "HAUSANSCHRIFT"
        }
      },
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "workSites": [
        {
          "name": "<string>",
          "address": {
            "id": "<string>",
            "address": "<string>",
            "components": {
              "formatted_address": "<string>",
              "street_number": "<string>",
              "road": "<string>",
              "city": "<string>",
              "state": "<string>",
              "country": "<string>",
              "postal_code": "<string>",
              "postal_code_suffix": "<string>",
              "latitude": 123,
              "longitude": 123
            },
            "content": {
              "normalizedAddress": "<string>",
              "countryCode": "DE",
              "addressType": "HAUSANSCHRIFT"
            }
          },
          "isActive": true,
          "isPrimary": true,
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "correspondenceAddress": {
            "id": "<string>",
            "address": "<string>",
            "components": {
              "formatted_address": "<string>",
              "street_number": "<string>",
              "road": "<string>",
              "city": "<string>",
              "state": "<string>",
              "country": "<string>",
              "postal_code": "<string>",
              "postal_code_suffix": "<string>",
              "latitude": 123,
              "longitude": 123
            },
            "content": {
              "normalizedAddress": "<string>",
              "countryCode": "DE",
              "addressType": "HAUSANSCHRIFT"
            }
          },
          "validFrom": "2023-12-25",
          "validTo": "2023-12-25",
          "orgId": "<string>",
          "contacts": [
            {
              "name": "<string>",
              "id": "<string>",
              "email": "jsmith@example.com",
              "phone": {
                "phoneNumber": "<string>",
                "phoneType": "mobile"
              },
              "roles": []
            }
          ],
          "taxIdentifiers": {
            "id": 123,
            "validFrom": "2023-12-25",
            "validTo": "2023-12-25",
            "taxData": {
              "country": "<string>",
              "validFrom": "2023-12-25",
              "validTo": "2023-12-25",
              "taxNumber": "<string>",
              "businessType": 170,
              "isEmployeeFlatTax": false,
              "isEmployeeMiniJobFlatTax": false,
              "taxFilingFrequency": "monthly"
            }
          },
          "insuranceData": {
            "id": 123,
            "validFrom": "2023-12-25",
            "validTo": "2023-12-25",
            "insuranceCountry": "DE",
            "worksiteLocationNumber": "98797889",
            "accidentInsuranceCompanyNumber": "98797889",
            "accidentInsurancePin": "DE-WS-PIN-456",
            "payrollServiceProviderNumber": "98797889",
            "payrollProcessingLocationNumber": "98797889"
          }
        }
      ],
      "bankAccounts": [
        {
          "financialInstitutionName": "<string>",
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "accountNumber": "DE: DE89370400440532013000",
          "routingNumber": "DE: 370400440",
          "iban": "DE: DE89370400440532013000",
          "swiftCode": "DE: COBADEFFXXX",
          "isActive": true,
          "isPrimary": false
        }
      ],
      "preferences": {
        "id": 123,
        "validFrom": "2023-12-25",
        "validTo": "2023-12-25",
        "isInsolvent": false,
        "insolvencyStartDate": "2023-12-25",
        "insolvencyEndDate": "2023-12-25",
        "insolvencyCompanyNumber": "<string>",
        "insuranceSubsidyMethod": "remuneration",
        "extraPaidLeaveDays": 123,
        "firstPayrollDate": "2023-12-25",
        "lastPayrollDate": "2023-12-25",
        "firstPayrollIntermezzo": "2023-12-25",
        "preferencesCountry": "DE",
        "insuranceCreditPreference": "<string>",
        "daysForSicknessCertificate": 4,
        "additionalChildcareSickDaysReason": 0
      },
      "correspondenceAddress": {
        "id": "<string>",
        "address": "<string>",
        "components": {
          "formatted_address": "<string>",
          "street_number": "<string>",
          "road": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "postal_code": "<string>",
          "postal_code_suffix": "<string>",
          "latitude": 123,
          "longitude": 123
        },
        "content": {
          "normalizedAddress": "<string>",
          "countryCode": "DE",
          "addressType": "HAUSANSCHRIFT"
        }
      },
      "dbaName": "<string>",
      "incorporationDate": "2023-12-25",
      "website": "<string>",
      "externalRef": "<string>",
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "shutdownDate": "2023-12-25",
      "contacts": [
        {
          "name": "<string>",
          "id": "<string>",
          "email": "jsmith@example.com",
          "phone": {
            "phoneNumber": "<string>",
            "phoneType": "mobile"
          },
          "roles": []
        }
      ],
      "taxIdentifiers": {
        "id": 123,
        "validFrom": "2023-12-25",
        "validTo": "2023-12-25",
        "taxData": {
          "country": "<string>",
          "validFrom": "2023-12-25",
          "validTo": "2023-12-25",
          "taxNumber": "<string>",
          "businessType": 170,
          "isEmployeeFlatTax": false,
          "isEmployeeMiniJobFlatTax": false,
          "taxFilingFrequency": "monthly"
        }
      },
      "insuranceData": {
        "id": 123,
        "validFrom": "2023-12-25",
        "validTo": "2023-12-25",
        "insuranceCountry": "DE",
        "companyNumber": "98797889",
        "unrs": "DE987654321",
        "accidentInsuranceCompanyNumber": "98797889",
        "accidentInsurancePin": "12345",
        "payrollServiceProviderNumber": "98797889",
        "payrollProcessingLocationNumber": "98797889",
        "economicSector": 1,
        "u1Selected": false,
        "u2Selected": false,
        "u3Selected": false,
        "agencyId": "<string>",
        "alternateAgencyId": "<string>",
        "contactId": "<string>"
      },
      "sepaMandates": [
        {
          "creditorId": "<string>",
          "bankAccountId": "<string>",
          "isRecurring": true,
          "id": "<string>",
          "createdBy": "<string>",
          "validFrom": "2023-12-25",
          "validTo": "2023-12-25",
          "mandateReference": "<string>"
        }
      ]
    }
  ],
  "errors": [
    {
      "inputIndex": 123,
      "errors": [
        {
          "code": "ADDRESS_NOT_FOUND",
          "message": "<string>",
          "field": "<string>",
          "params": {}
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Body

application/json
bankAccounts
BankAccountRequest · object[]
required
preferences
DEOrganizationPreferencesRequest · object
required

Whether or not the legal name should be checked for terms on blacklist

registrationCountry
string
default:DE
Allowed value: "DE"
address
AddressRequest · object
correspondenceAddress
AddressRequest · object
dbaName
string | null
incorporationDate
string<date> | null
website
string | null
externalRef
string | null
Maximum string length: 255
validFrom
string<date> | null
validTo
string<date> | null
workSites
WorksiteRequest · object[]
contacts
ContactRequest · object[] | null
sepaMandates
SepaMandateRequest · object[] | null
insuranceData
DEOrganizationInsuranceDetailsRequest · object
taxIdentifiers
TaxIdentifiersRequest · object

Response

Successful Response

total
integer
required

Total number of records in the request

succeeded
integer
required

Number of successfully processed records

failed
integer
required

Number of failed records

unprocessed
integer
required

Number of records that passed validation but were not processed

data
OrgResponse · object[]

Successfully processed records

errors
OperationError · object[]

Failed records with error details